.ng-select.ng-select-opened > .ng-select-container {
    background: #fff;
    border-color: #b3b3b3 #ccc #d9d9d9;
}

.ng-select.ng-select-opened > .ng-select-container:hover {
    box-shadow: none;
}

.ng-select.ng-select-opened > .ng-select-container .ng-arrow {
    top: -2px;
    border-color: transparent transparent #999;
    border-width: 0 5px 5px;
}

.ng-select.ng-select-opened > .ng-select-container .ng-arrow:hover {
    border-color: transparent transparent #333;
}

.ng-select.ng-select-opened.ng-select-bottom > .ng-select-container {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.ng-select.ng-select-opened.ng-select-top > .ng-select-container {
    border-top-right-radius: 0;
    border-top-left-radius: 0;
}

.ng-select.ng-select-focused:not(.ng-select-opened) > .ng-select-container {
    border-color: #007eff;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
    0 0 0 3px rgba(0, 126, 255, 0.1);
}

.ng-select.ng-select-disabled > .ng-select-container {
    background-color: #f9f9f9;
}

.ng-select .ng-has-value .ng-placeholder {
    display: none;
}

.ng-select .ng-select-container {
    color: #333;
    background-color: #fff;
    border-radius: 4px;
    border: 1px solid #ccc;
    min-height: 36px;
    align-items: center;
}

.ng-select .ng-select-container:hover {
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.06);
}

.ng-select .ng-select-container .ng-value-container {
    align-items: center;
    padding-left: 10px;
}

[dir="rtl"] .ng-select .ng-select-container .ng-value-container {
    padding-right: 10px;
    padding-left: 0;
}

.ng-select .ng-select-container .ng-value-container .ng-placeholder {
    color: #999;
}

.ng-select.ng-select-single .ng-select-container {
    height: 36px;
}

.ng-select.ng-select-single .ng-select-container .ng-value-container .ng-input {
    top: 5px;
    left: 0;
    padding-left: 10px;
    padding-right: 50px;
}

[dir="rtl"]
.ng-select.ng-select-single
.ng-select-container
.ng-value-container
.ng-input {
    padding-right: 10px;
    padding-left: 50px;
}

.ng-select.ng-select-multiple.ng-select-disabled
> .ng-select-container
.ng-value-container
.ng-value {
    background-color: #f9f9f9;
    border: 1px solid #e6e6e6;
}

.ng-select.ng-select-multiple.ng-select-disabled
> .ng-select-container
.ng-value-container
.ng-value
.ng-value-label {
    padding: 0 5px;
}

.ng-select.ng-select-multiple .ng-select-container .ng-value-container {
    padding-top: 5px;
    padding-left: 7px;
}

[dir="rtl"]
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container {
    padding-right: 7px;
    padding-left: 0;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value {
    font-size: 0.9em;
    margin-bottom: 5px;
    background-color: #ebf5ff;
    border-radius: 2px;
    margin-right: 5px;
}

[dir="rtl"]
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value {
    margin-right: 0;
    margin-left: 5px;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value.ng-value-disabled {
    background-color: #f9f9f9;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value.ng-value-disabled
.ng-value-label {
    padding-left: 5px;
}

[dir="rtl"]
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value.ng-value-disabled
.ng-value-label {
    padding-left: 0;
    padding-right: 5px;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value
.ng-value-icon,
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value
.ng-value-label {
    display: inline-block;
    padding: 1px 5px;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value
.ng-value-icon:hover {
    background-color: #d1e8ff;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value
.ng-value-icon.left {
    border-right: 1px solid #b8dbff;
}

[dir="rtl"]
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value
.ng-value-icon.left {
    border-left: 1px solid #b8dbff;
    border-right: none;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value
.ng-value-icon.right {
    border-left: 1px solid #b8dbff;
}

[dir="rtl"]
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-value
.ng-value-icon.right {
    border-left: 0;
    border-right: 1px solid #b8dbff;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-input {
    padding: 0 0 3px 3px;
}

[dir="rtl"]
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-input {
    padding: 0 3px 3px 0;
}

.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-placeholder {
    top: 5px;
    padding-bottom: 5px;
    padding-left: 3px;
}

[dir="rtl"]
.ng-select.ng-select-multiple
.ng-select-container
.ng-value-container
.ng-placeholder {
    padding-right: 3px;
    padding-left: 0;
}

.ng-select .ng-clear-wrapper {
    color: #999;
}

.ng-select .ng-clear-wrapper:hover .ng-clear {
    color: #d0021b;
}

.ng-select .ng-spinner-zone {
    padding: 5px 5px 0 0;
}

[dir="rtl"] .ng-select .ng-spinner-zone {
    padding: 5px 0 0 5px;
}

.ng-select .ng-arrow-wrapper {
    width: 25px;
    padding-right: 5px;
}

[dir="rtl"] .ng-select .ng-arrow-wrapper {
    padding-left: 5px;
    padding-right: 0;
}

.ng-select .ng-arrow-wrapper:hover .ng-arrow {
    border-top-color: #666;
}

.ng-select .ng-arrow-wrapper .ng-arrow {
    border-color: #999 transparent transparent;
    border-style: solid;
    border-width: 5px 5px 2.5px;
}

.ng-dropdown-panel {
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.06);
    left: 0;
}

.ng-dropdown-panel.ng-select-bottom {
    top: 100%;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    border-top-color: #e6e6e6;
    margin-top: -1px;
}

.ng-dropdown-panel.ng-select-bottom
.ng-dropdown-panel-items
.ng-option:last-child {
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
}

.ng-dropdown-panel.ng-select-top {
    bottom: 100%;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
    border-bottom-color: #e6e6e6;
    margin-bottom: -1px;
}

.ng-dropdown-panel.ng-select-top
.ng-dropdown-panel-items
.ng-option:first-child {
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
}

.ng-dropdown-panel .ng-dropdown-header {
    border-bottom: 1px solid #ccc;
    padding: 5px 7px;
}

.ng-dropdown-panel .ng-dropdown-footer {
    border-top: 1px solid #ccc;
    padding: 5px 7px;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-optgroup {
    -webkit-user-select: none;
    user-select: none;
    padding: 8px 10px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.54);
    cursor: pointer;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-optgroup.ng-option-disabled {
    cursor: default;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-optgroup.ng-option-marked {
    background-color: #f5faff;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-optgroup.ng-option-selected,
.ng-dropdown-panel
.ng-dropdown-panel-items
.ng-optgroup.ng-option-selected.ng-option-marked {
    background-color: #ebf5ff;
    font-weight: 600;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option {
    background-color: #fff;
    color: rgba(0, 0, 0, 0.87);
    padding: 8px 10px;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-selected,
.ng-dropdown-panel
.ng-dropdown-panel-items
.ng-option.ng-option-selected.ng-option-marked {
    color: #333;
    background-color: #ebf5ff;
}

.ng-dropdown-panel
.ng-dropdown-panel-items
.ng-option.ng-option-selected
.ng-option-label,
.ng-dropdown-panel
.ng-dropdown-panel-items
.ng-option.ng-option-selected.ng-option-marked
.ng-option-label {
    font-weight: 600;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-marked {
    background-color: #f5faff;
    color: #333;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-disabled {
    color: #ccc;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-child {
    padding-left: 22px;
}

[dir="rtl"]
.ng-dropdown-panel
.ng-dropdown-panel-items
.ng-option.ng-option-child {
    padding-right: 22px;
    padding-left: 0;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option .ng-tag-label {
    font-size: 80%;
    font-weight: 400;
    padding-right: 5px;
}

[dir="rtl"]
.ng-dropdown-panel
.ng-dropdown-panel-items
.ng-option
.ng-tag-label {
    padding-left: 5px;
    padding-right: 0;
}

[dir="rtl"] .ng-dropdown-panel {
    direction: rtl;
    text-align: right;
}

.dropdown-menu-right {
    right: 0;
    left: auto;
}

.table-action-button-sm {
    font-size: 14px;
}

.btn-default {
    color: #333;
    text-align: center;
    background: #eee;
    cursor: pointer;
    border: 1px solid #ccc;
}

.btn-outline-primary {
    border-radius: 2px;
    border: 1px solid #428bca;
    color: #428bca;
}

.btn-outline-danger,
.btn-outline-primary {
    background: transparent;
    box-shadow: none;
    margin: 2px 5px;
}

.btn-outline-danger {
    border-radius: 2px;
    color: #dc3545;
    border-color: #dc3545;
}

.btn-outline-danger:active,
.btn-outline-danger:focus,
.btn-outline-danger:hover {
    border: 1px solid #d03f00;
    color: #d03f00;
    box-shadow: none;
}

.btn-outline-primary:active,
.btn-outline-primary:focus,
.btn-outline-primary:hover {
    border: 1px solid #2a6496;
    color: #fff;
    background-color: #2a6496;
    box-shadow: none;
}

.btn-outline-primary[disabled],
.btn-outline-primary[disabled]:active,
.btn-outline-primary[disabled]:focus,
.btn-outline-primary[disabled]:hover {
    pointer-events: inherit;
    box-shadow: none;
    border-color: #ddd;
    background-color: #fff;
    color: #999;
}

.notifyLoading {
    padding-top: 10px;
}

.processing-spinner {
    display: inline-block;
}

.processing-spinner > span {
    padding-left: 5px;
    font-style: italic;
}

.btn-group > .btn-group,
.dropdown-menu > li > div.btn-group {
    float: none;
    display: flex;
}

.loading-text {
    padding-left: 5px;
}

.toggle-switch {
    border: 0;
}

.toggle-switch .switch-left,
.toggle-switch .switch-right {
    background: transparent;
    color: transparent;
}

.toggle-switch span {
    padding: 0;
    width: 0;
}

.toggle-switch .knob {
    border-right: none;
    border-left: none;
}

.toggle-switch > div {
    position: absolute;
    width: 100%;
}

.toggle-switch .switch-off {
    left: -5%;
}

.toggle-switch-text {
    font-weight: 500;
    margin-left: 8px;
}

html[dir="rtl"] .toggle-switch .switch-off {
    right: -5%;
}

@media only screen and (max-width: 800px) {
    .responsive-table > thead > tr {
        position: static;
        display: flex;
    }

    .responsive-table .data-row td:nth-child(2),
    .responsive-table th:nth-child(2) {
        flex: 1 auto;
    }

    .responsive-table > tbody > tr > td {
        padding-left: 0;
        position: inherit;
    }

    .responsive-table > tbody > tr > td:before {
        padding: 0;
    }

    .responsive-table > tbody > tr > td.expand-panel-data:before {
        content: none;
    }

    .responsive-table > tbody > tr {
        display: flex;
    }

    .responsive-table .hidden-xs {
        display: none !important;
    }

    .responsive-table .visible-xs {
        display: block !important;
    }

    .responsive-table > tbody > tr {
        border-bottom: 1px solid #ccc;
        border-top: 0;
    }

    .responsive-table > tbody > tr > td {
        border-bottom: 0;
    }
}

html[dir="rtl"] .dropdown-menu-right {
    left: 0;
    right: auto;
}

html[dir="rtl"] .loading-text,
html[dir="rtl"] .processing-spinner > span {
    padding-right: 5px;
    padding-left: 0;
}

.deprecatedPillContainer {
    padding-left: 8px;
    padding-top: 4px;
    padding-right: 8px;
    cursor: pointer;
}

.deprecatedPill {
    font-size: 10px;
}

.button-bar {
    margin-right: 5px;
    margin-left: 5px;
}

.widget.no-top-margin {
    border-top: none;
}

@media (max-width: 500px) {
    .btn.mobile-float {
        float: right;
    }

    html[dir="rtl"] .btn.mobile-float {
        float: left;
    }
}

.font-weight-bold {
    font-weight: 700;
}

.callout.callout-warning hr {
    border-color: #f6c342;
}

.callout.callout-info hr {
    border-color: #2980b9;
}

.float-right {
    float: right;
}

html[dir="rtl"] .float-right.flip {
    float: left;
}

select.handlerDropdown {
    width: 60% !important;
}

.phpVersions {
    border: 1px solid #eaeaea;
    padding: 20px;
}

.phpFPM {
    border-right: 1px solid #eaeaea;
    border-bottom: 1px solid #eaeaea;
    border-left: 1px solid #eaeaea;
    padding: 25px 20px;
}

button#system-php-drop-button {
    text-transform: none;
    border: 1px solid #ccc;
    background-color: #fff;
}

div#cloudlinuxBanner {
    background-color: #f5f5f5;
    border-left: 3px solid #f78e1e;
    margin: 20px 0;
    padding: 20px;
    position: relative;
}

button#bulk-domain-php-drop-button {
    text-transform: none;
    border: 1px solid #ccc;
    background-color: #fff;
}

.col-xs-12.col-sm-6.col-md-4.padding-bottom-20 {
    padding-bottom: 20px;
}

button.btn.action-button {
    padding: 6px 26px 6px 12px;
}

span.domain-name.collapse-text {
    display: table-cell;
}

span#example\.com-inherit-label-text {
    padding-left: 4px;
    font-weight: 400 !important;
}
